#include "RunHttpPost_insertCheckRecord.h"

RunHttpPost_insertCheckRecord::RunHttpPost_insertCheckRecord(InteractiveTask *task, QMutex *mutex)
    :RunAbstract(task, mutex)
{

}


void RunHttpPost_insertCheckRecord::run()
{
    QByteArray inData = getRequest().toString().toUtf8();
    QByteArray outData = InteractiveHttp::http_post_insertCheckRecord(inData);

    if (!outData.isEmpty())
    {
        setRespond(outData);
    }
}
